=== debian/changelog ===
bup (0.29-3) unstable; urgency=medium

  [ Tim Riemenschneider ]
  * Safeguard against deleting new pack-file (f.e. with threshold=0)
    (Closes: #859295)

 -- Robert Edmonds <edmonds@debian.org>  Sat, 01 Apr 2017 14:38:19 -0400

bup (0.29-2) unstable; urgency=medium

  [ James Cowgill ]
  * Build-Depend on tzdata to fix FTBFS. (Closes: #839498)

  [ Robert Edmonds ]
  * debian/changelog: Acknowledge 0.28.1-1.1 NMU

 -- Robert Edmonds <edmonds@debian.org>  Sun, 01 Jan 2017 14:42:37 -0500

bup (0.29-1) unstable; urgency=medium

  * New upstream version 0.29
  * debian/control: Upgrade Vcs-Git URL from git:// to https://
  * debian/control: Bump Standards-Version to 3.9.8 (no changes)

 -- Robert Edmonds <edmonds@debian.org>  Thu, 29 Dec 2016 16:08:15 -0500

bup (0.29~rc1-1) experimental; urgency=medium

  [ Rob Browning ]
  * test-prune-older: set test git author/committer

  [ Robert Edmonds ]
  * New upstream version 0.29-rc1

 -- Robert Edmonds <edmonds@debian.org>  Sat, 24 Dec 2016 14:13:27 -0500

bup (0.28.1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build-Depend on tzdata to fix FTBFS. (Closes: #839498)

 -- James Cowgill <jcowgill@debian.org>  Thu, 27 Oct 2016 15:22:29 +0100

bup (0.28.1-1) unstable; urgency=medium

  * New upstream version 0.28.1
  * debian/rules: Generate our own /usr/lib/bup/bup/_release.py
  * cmd/version-cmd.py: Disable regex test for tag names

 -- Robert Edmonds <edmonds@debian.org>  Sun, 02 Oct 2016 17:22:52 -0400

bup (0.28~rc3-1) experimental; urgency=medium

  * New upstream release.

 -- Robert Edmonds <edmonds@debian.org>  Sat, 21 May 2016 23:49:48 -0400
