=== debian/control ===
Source: bup
Section: admin
Priority: extra
Maintainer: Robert Edmonds <edmonds@debian.org>
Build-Depends:
 dctrl-tools,
 debhelper (>= 9~),
 dh-python,
 git,
 par2 [!hurd-i386],
 python-dev (>= 2.6.6-3~),
 python-pylibacl,
 python-pyxattr [linux-any],
 rsync,
 tzdata,
Build-Depends-Indep: pandoc (>= 1.11.1-4~), pandoc-data (>= 1.11.1-4~)
Standards-Version: 3.9.8
Homepage: https://github.com/bup/bup
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/bup.git
Vcs-Git: https://anonscm.debian.org/git/collab-maint/bup.git

Package: bup
Architecture: any
Depends:
 git,
 par2 [!hurd-i386],
 python,
 python-pylibacl,
 python-pyxattr [linux-any],
 ${misc:Depends},
 ${python:Depends},
 ${shlibs:Depends},
Recommends: bup-doc, python-fuse, python-tornado
Description: highly efficient file backup system based on git
 bup is a backup tool which stores the backups in a system based around
 the packfile format from git.

Package: bup-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Breaks: bup (<< 0.25~rc2-2~)
Replaces: bup (<< 0.25~rc2-2~)
Description: highly efficient file backup system based on git (documentation)
 bup is a backup tool which stores the backups in a system based around
 the packfile format from git.
 .
 This package contains the documentation.
