=== debian/changelog ===
bup (0.31-1) unstable; urgency=medium

  * New upstream version 0.31 (Closes: #961447)

 -- Robert Edmonds <edmonds@debian.org>  Sun, 23 Aug 2020 19:51:37 -0400

bup (0.31~git20200814-1) experimental; urgency=medium

  * New upstream git snapshot of commit
    3d243e3af895031e4a51113df9b7c51e09792347

 -- Robert Edmonds <edmonds@debian.org>  Fri, 14 Aug 2020 23:10:19 -0400

bup (0.31~git20200809-1) experimental; urgency=medium

  * New upstream git snapshot of commit
    07f74364b1854810f814e81e73822f35b7677318
  * debian/control: Update bup package's Recommends: python3-fuse,
    python3-tornado

 -- Robert Edmonds <edmonds@debian.org>  Sun, 09 Aug 2020 15:23:24 -0400

bup (0.31~git20200808-1) experimental; urgency=medium

  * New upstream git snapshot of commit
    ba836360f66ed046be1af98904a36a4ce862ca62
  * debian/rules: Exclude py2raise.py from byte-compilation; it is not
    syntactically valid Python 3
  * debian/control: Bump Standards-Version to 4.5.0 (no changes)
  * debian/: Bump debhelper compat level to 13

 -- Robert Edmonds <edmonds@debian.org>  Sat, 08 Aug 2020 21:28:59 -0400

bup (0.31~git20200728-1) experimental; urgency=medium

  * New upstream git snapshot due to call for testing
  * debian/: Remove debian/gen_version_py.sh due to upstream changes
  * debian/: Update dependencies and build rules for python3
    (Closes: #936251, #966723)
  * debian/control: Add additional build dependencies acl, libacl1-dev,
    libreadline-dev
  * debian/: Generate lib/bup/source_info.py
  * dev/install-python-script: Use Python 3

 -- Robert Edmonds <edmonds@debian.org>  Wed, 05 Aug 2020 02:39:00 -0400

bup (0.29.3-2) unstable; urgency=medium

  * Upload to unstable.

 -- Robert Edmonds <edmonds@debian.org>  Mon, 26 Aug 2019 11:24:25 -0400

bup (0.29.3-1) experimental; urgency=medium

  * New upstream version 0.29.3

 -- Robert Edmonds <edmonds@debian.org>  Sun, 25 Aug 2019 23:37:44 -0400

bup (0.29.2-1) experimental; urgency=medium

  * New upstream version 0.29.2
    - Contains test suite fix for newer versions of git. (Closes: #879213)
  * debian/control: Remove Vcs-Browser, Vcs-Git fields pointing to
    anonscm.debian.org
  * debian/control: Change package priority from extra to optional
  * debian/control: Mark bup-doc as "Multi-Arch: foreign"

 -- Robert Edmonds <edmonds@debian.org>  Sat, 17 Aug 2019 17:34:47 -0400
