=== debian/control ===
Source: bup
Section: admin
Priority: optional
Maintainer: Robert Edmonds <edmonds@debian.org>
Build-Depends:
 acl,
 dctrl-tools,
 debhelper-compat (= 13),
 dh-python,
 git,
 libacl1-dev,
 libreadline-dev,
 par2 [!hurd-i386],
 python3-dev,
 python3-pylibacl,
 python3-pyxattr [linux-any],
 rsync,
 tzdata,
Build-Depends-Indep: pandoc (>= 1.11.1-4~), pandoc-data (>= 1.11.1-4~)
Standards-Version: 4.5.0
Homepage: https://github.com/bup/bup

Package: bup
Architecture: any
Depends:
 git,
 par2 [!hurd-i386],
 python3,
 python3-pylibacl,
 python3-pyxattr [linux-any],
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Recommends: bup-doc, python3-fuse, python3-tornado
Description: highly efficient file backup system based on git
 bup is a backup tool which stores the backups in a system based around
 the packfile format from git.

Package: bup-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Breaks: bup (<< 0.25~rc2-2~)
Replaces: bup (<< 0.25~rc2-2~)
Description: highly efficient file backup system based on git (documentation)
 bup is a backup tool which stores the backups in a system based around
 the packfile format from git.
 .
 This package contains the documentation.
