=== debian/changelog ===
bup (0.32-3) unstable; urgency=medium

  * debian/watch: Add watch file
  * debian/control: Drop python3-pytest-xdist build dependency (don't run
    tests in parallel)

 -- Robert Edmonds <edmonds@debian.org>  Sat, 06 Feb 2021 15:18:16 -0500

bup (0.32-2) unstable; urgency=medium

  * Upload to unstable.

 -- Robert Edmonds <edmonds@debian.org>  Sun, 31 Jan 2021 16:04:39 -0500

bup (0.32-1) experimental; urgency=medium

  * New upstream version 0.32

 -- Robert Edmonds <edmonds@debian.org>  Sat, 30 Jan 2021 21:50:17 -0500

bup (0.32~git20201223-1) experimental; urgency=medium

  * New upstream git snapshot of commit
    b8e90ee2882c7b93d6c8c8fb1ef4cc6ed00aa2b3 due to call for testing
  * debian/control: Add new build dependencies python3-pytest,
    python3-pytest-xdist

 -- Robert Edmonds <edmonds@debian.org>  Mon, 28 Dec 2020 21:10:27 -0500

bup (0.31-2) unstable; urgency=medium

  * lib/bup/_helpers.c: Disable the code that calls Py_GetArgcArgv()
    (Closes: #972763)

 -- Robert Edmonds <edmonds@debian.org>  Sat, 31 Oct 2020 15:26:24 -0400
