=== debian/control ===
--- 
+++ 
@@ -13,6 +13,7 @@
  par2 [!hurd-i386],
  python3-dev,
  python3-pylibacl,
+ python3-pytest,
  python3-pyxattr [linux-any],
  rsync,
  tzdata,
