=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python3

override_dh_auto_configure:
	PYTHON="python3" ./configure

override_dh_auto_build-indep:
	$(MAKE) Documentation/all

override_dh_auto_clean:
	-rm config/config.cmd config/config.h config/config.log config/config.mak config/config.md config/config.sub config/config.vars
	dh_auto_clean -- PYTHON="python3"

override_dh_auto_install:
	$(CURDIR)/debian/gen_checkout_info.sh > $(CURDIR)/lib/bup/checkout_info.py
	$(MAKE) PYTHON="python3" PREFIX="/usr" DESTDIR="$(CURDIR)/debian/tmp" install

override_dh_python3:
	dh_python3 -X /usr/lib/bup/bup/py2raise.py
