=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/bup-$1\.tar\.gz/ \
  https://github.com/bup/bup/releases .*/v?(\d\S+)\.tar\.gz
