## bup 0.33

=== debian/changelog ===
bup (0.33-2) unstable; urgency=medium

  * Upload to unstable.

 -- Robert Edmonds <edmonds@debian.org>  Mon, 26 Dec 2022 22:27:53 -0500

bup (0.33-1) experimental; urgency=medium

  [ Rob Browning ]
  * debian/watch: releases is broken; switch to git mode
  * Make some initial changes for 0.33

  [ Robert Edmonds ]
  * New upstream version 0.33
  * debian/rules: Use DEB_CFLAGS_MAINT_APPEND to pass -Wno-error to
    ./configure
  * Revert "rules: override dh_auto_clean, rm files from configure."
  * debian/control: Bump Standards-Version to 4.6.2 (no changes)
  * debian/control: Remove version constraint for pandoc dependencies
    (o-o-stable has 1.17.2~dfsg-3)
  * debian/control: Set "Rules-Requires-Root: binary-targets"
  * debian/rules: Set DEB_BUILD_MAINT_OPTIONS to enable 'hardening=+all'
  * debian/bup.lintian-overrides: Override no-manual-page usr/bin/bup
  * debian/bup-doc.lintian-overrides: Override spare-manual-page
  * debian/control: Add Vcs-Git, Vcs-Browser for new salsa repository
  * debian/README.source: Remove collab-maint note, add note about Debian
    branches

 -- Robert Edmonds <edmonds@debian.org>  Thu, 22 Dec 2022 20:04:49 -0500
