## bup 0.33.2

=== debian/changelog ===
bup (0.33.2-1~deb12u1) bookworm; urgency=medium

  * Upstream version 0.33.2, with a fix for a problem that can cause POSIX.1e
    ACLs to be restored incorrectly.

 -- Robert Edmonds <edmonds@debian.org>  Sat, 08 Jul 2023 16:11:59 -0400

bup (0.33.2-1) unstable; urgency=medium

  [ Rob Browning ]
  * 0.33.2
    - Update base_version for 0.33.2 development
    - correct_posix1e_v1_delimiters: provide path for error messages
      (Closes: #1039089)
    - Update docs for 0.33.2 release
    - Update base_version for 0.33.2 release

  [ Robert Edmonds ]
  * New upstream version 0.33.2
  * debian/docs: Include upstream release note '0.33.2-from-0.33.1.md'

 -- Robert Edmonds <edmonds@debian.org>  Sat, 01 Jul 2023 18:51:02 -0400

bup (0.33.1-1) unstable; urgency=medium

  [ Rob Browning ]
  * 0.33.1
    - conftest.py: switch to Path to support pytest 7+
    - conftest.py: restore support for pytest < 7
    - configure: handle relative MAKE paths
    - test_get: remove vestigial debug messages
    - configure: allow and prefer python3.11-config; ignore 3.6
    - buptest init: get quote from shlex not pipes
    - test-comparative-split-join: accommodate varying HEAD names
    - cirrus: move to freebsd 12.4 to fix rsync-related test failures
    - compare-trees: add --features and disallow args with it and -h
    - Restore posix1e default acls as default, not access; improve tests
    - Fix ACL metadata format; delimit short form entries with commas
    - Update docs for 0.33.1 release
    - Update base_version for 0.33.1 release

  [ Robert Edmonds ]
  * New upstream version 0.33.1 (Closes: #1038609)
  * debian/docs: Include upstream release note '0.33.1-from-0.33.md'

 -- Robert Edmonds <edmonds@debian.org>  Sun, 18 Jun 2023 19:57:44 -0400
