## bup 0.33.3

=== debian/changelog ===
bup (0.33.3-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 08:43:59 +0000

bup (0.33.3-1build1) noble; urgency=medium

  * No-change rebuild for python3.12 t64.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 02 Mar 2024 21:08:25 +0100

bup (0.33.3-1) unstable; urgency=medium

  * New upstream version 0.33.3
    - "fuse: don't filter output when backgrounding" (Closes: #1050040)
    - "test-help: fix dependency on C locale with current pandoc" (Closes:
    #1042250)
  * debian/docs: Include upstream release note '0.33.3-from-0.33.2.md'

 -- Robert Edmonds <edmonds@debian.org>  Sat, 27 Jan 2024 00:12:36 -0500
