=== debian/control ===
--- 
+++ 
@@ -1,9 +1,11 @@
 Source: bup
 Section: admin
 Priority: optional
-Maintainer: Robert Edmonds <edmonds@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Robert Edmonds <edmonds@debian.org>
 Build-Depends:
  acl,
+ attr,
  dctrl-tools,
  debhelper-compat (= 13),
  dh-python,
@@ -11,15 +13,20 @@
  libacl1-dev,
  libreadline-dev,
  par2 [!hurd-i386],
+ pkg-config,
  python3-dev,
  python3-pylibacl,
  python3-pytest,
+ python3-pytest-xdist,
  python3-pyxattr [linux-any],
  rsync,
  tzdata,
-Build-Depends-Indep: pandoc (>= 1.11.1-4~), pandoc-data (>= 1.11.1-4~)
-Standards-Version: 4.5.0
+Build-Depends-Indep: pandoc, pandoc-data
+Standards-Version: 4.6.2
 Homepage: https://github.com/bup/bup
+Vcs-Git: https://salsa.debian.org/edmonds/bup.git
+Vcs-Browser: https://salsa.debian.org/edmonds/bup
+Rules-Requires-Root: binary-targets
 
 Package: bup
 Architecture: any
