## bup 0.33.4

=== debian/changelog ===
bup (0.33.4-1) unstable; urgency=medium

  * New upstream version 0.33.4
    - "configure.inc: fix main() prototype and other (now) invalid test code"
    (Closes: #1074858)
  * debian/docs: Include upstream release note '0.33.4-from-0.33.3.md'

 -- Robert Edmonds <edmonds@debian.org>  Sun, 29 Sep 2024 15:41:36 -0400
