## bup 0.33.6~git20241212

=== debian/changelog ===
bup (0.33.6~git20241212-1build1) plucky; urgency=medium

  * No-change rebuild for Python 3.13 as the default.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 03 Jan 2025 12:05:18 +0100

bup (0.33.6~git20241212-1) unstable; urgency=medium

  [ Rob Browning ]
  * debian/rules: Generate checkout info prior to dh_auto_configure

  [ Robert Edmonds ]
  * New upstream git snapshot of commit 3cd11d3840b0714820ca5fc540115a339d1ee7fa
    due to call for testing
  * debian/docs: Include upstream release note '0.33.5-from-0.33.4.md'
  * Revert "debian/rules: Relocate bup-config.5 to the correct manpage
    directory" (fixed upstream)

 -- Robert Edmonds <edmonds@debian.org>  Sat, 14 Dec 2024 22:24:03 -0500

bup (0.33.5-1) unstable; urgency=medium

  * New upstream version 0.33.5
    - Bug fixes for "three issues that could cause a repository to end up
      with trees that had dangling references, i.e. missing files, parts of
      files, subtrees, etc." if the "bup gc" command is utilized.
      (Closes: #1086123)
  * debian/rules: Relocate bup-config.5 to the correct manpage directory

 -- Robert Edmonds <edmonds@debian.org>  Wed, 11 Dec 2024 23:38:00 -0500
