=== debian/changelog ===
bup (0.33.7-1) unstable; urgency=medium

  * New upstream versions 0.33.6, 0.33.7
  * debian/docs: Include upstream release note '0.33.6-from-0.33.5.md'
  * debian/docs: Include upstream release note '0.33.7-from-0.33.6.md'

 -- Robert Edmonds <edmonds@debian.org>  Sat, 11 Jan 2025 16:41:56 -0500
