## bup 0.33.9

=== debian/changelog ===
bup (0.33.9-1) unstable; urgency=medium

  * New upstream versions 0.33.8, 0.33.9
  * debian/docs: Include upstream release note '0.33.8-from-0.33.7.md'
  * debian/docs: Include upstream release note '0.33.9-from-0.33.8.md'

 -- Robert Edmonds <edmonds@debian.org>  Mon, 01 Sep 2025 22:50:50 -0400
