=== debian/rules ===
--- 
+++ 
@@ -7,12 +7,14 @@
 %:
 	dh $@ --with python3
 
-override_dh_auto_configure:
+lib/bup/checkout_info.py: debian/gen_checkout_info.sh
+	debian/gen_checkout_info.sh > $@
+
+override_dh_auto_configure: lib/bup/checkout_info.py
 	./configure
 
 override_dh_auto_build-indep:
 	$(MAKE) Documentation/all
 
 override_dh_auto_install:
-	$(CURDIR)/debian/gen_checkout_info.sh > $(CURDIR)/lib/bup/checkout_info.py
 	$(MAKE) PREFIX="/usr" DESTDIR="$(CURDIR)/debian/tmp" install
