=== debian/watch ===
version=4
opts="mode=git" \
https://github.com/bup/bup.git \
refs/tags/(\d+(?:\.\d+)+)
