## bup 0.33.10

=== debian/changelog ===
bup (0.33.10-1) unstable; urgency=medium

  * New upstream version 0.33.10
  * debian/docs: Include upstream release note '0.33.10-from-0.33.9.md'

 -- Robert Edmonds <edmonds@debian.org>  Mon, 02 Mar 2026 21:39:56 -0500

bup (0.33.9-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop Rules-Requires-Root: binary-targets (Closes: #1111625)

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 18 Nov 2025 08:46:05 +0100

bup (0.33.9-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Skip test tries to load a kernel module (Closes #1111625)

 -- Jochen Sprickerhof <jspricke@debian.org>  Thu, 06 Nov 2025 19:13:01 +0100
